%bcond_with runtests

Summary:		Python utilities for manipulating kickstart files.
Name:			pykickstart
Version:		3.43
Release:		4%{?dist}
License:		GPLv2 and MIT
URL:			http://fedoraproject.org/wiki/pykickstart
Source0:		%{name}-%{version}.tar.gz

BuildRequires:	gettext make
BuildRequires:	python3-devel python3-requests python3-setuptools
%if %{with runtests}
BuildRequires:	python3-coverage python3-sphinx
%endif
Requires:		python3-kickstart = %{version}-%{release}
BuildArch:		noarch

%description
Python utilities for manipulating kickstart files.

%package -n python3-kickstart
Summary:		Python 3 library for manipulating kickstart files.
Requires:		python3-requests

%description -n python3-kickstart
pykickstart is a python library that is used for reading and writing 
kickstart files.

%prep
%autosetup

%build
make PYTHON=%{__python3}

%install
make PYTHON=%{__python3} DESTDIR=%{buildroot} install

%check
%if %{with runtests}
make PYTHON=%{__python3} test
%endif

%files
%license COPYING
%doc README.rst
%doc data/kickstart.vim
%{_bindir}/ksvalidator
%{_bindir}/ksflatten
%{_bindir}/ksverdiff
%{_bindir}/ksshell
%{_mandir}/man1/ksflatten.1.gz
%{_mandir}/man1/ksshell.1.gz
%{_mandir}/man1/ksvalidator.1.gz
%{_mandir}/man1/ksverdiff.1.gz

%files -n python3-kickstart
%doc docs/2to3
%doc docs/programmers-guide
%doc docs/kickstart-docs.txt
%{python3_sitelib}/pykickstart
%{python3_sitelib}/pykickstart*.egg-info

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.43-1
- Initial build
